Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234635 - CVE-2007-0242 QT UTF8 improper character expansion
Summary: CVE-2007-0242 QT UTF8 improper character expansion
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qt
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard: impact=moderate,source=vendorsec,repo...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-30 18:39 UTC by Josh Bressers
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-29 17:12:47 UTC


Attachments (Terms of Use)

Description Josh Bressers 2007-03-30 18:39:11 UTC
+++ This bug was initially created as a clone of Bug #234633 +++

Andreas Nolden reported a flaw in the QT expands certain UTF8 characters.  This
could lead to a XSS attack withing konqueror.  There is also potential for this
flaw to affect other QT applications that attempt to sanitize user supplied
data.  The example supplied by the KDE security team would be the ability to
inject /../ characters into a filename.

-- Additional comment from bressers@redhat.com on 2007-03-30 14:29 EST --
Created an attachment (id=151307)
Patch for kjs


-- Additional comment from bressers@redhat.com on 2007-03-30 14:30 EST --
Created an attachment (id=151310)
Patch for QT 3


-- Additional comment from bressers@redhat.com on 2007-03-30 14:32 EST --
Created an attachment (id=151312)
Patch for QT4

Comment 1 Josh Bressers 2007-03-30 18:40:14 UTC
This should also affect FC5

Comment 2 Ngo Than 2007-08-29 17:12:47 UTC
it's fixed in qt-3_3_8-1_fc6_1


Note You need to log in before you can comment on or make changes to this bug.